RecyclableNamingEnumeration (Catalina Internal API Documentation)
Keywords: org.apache.naming.resources.RecyclableNamingEnumeration class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class RecyclableNamingEnumeration

    java.lang.Object
      org.apache.naming.resources.RecyclableNamingEnumeration

All Implemented Interfaces:
  java.util.Enumeration, javax.naming.NamingEnumeration

public class RecyclableNamingEnumeration
extends java.lang.Object
implements javax.naming.NamingEnumeration

Naming enumeration implementation.

Version:
  $Revision: 360283 $ $Date: 2005-12-31 09:32:01 -0500 (Sat, 31 Dec 2005) $
Author:
  Remy Maucherat

Field Summary
`protected java.util.Vector` | `entries` Entries.
`protected java.util.Enumeration` | `enumeration` Underlying enumeration.

Constructor Summary
`RecyclableNamingEnumeration(java.util.Vector entries)`

Method Summary
`void` | `close()` Closes this enumeration.
`boolean` | `hasMore()` Determines whether there are any more elements in the enumeration.
`boolean` | `hasMoreElements()`
`java.lang.Object` | `next()` Retrieves the next element in the enumeration.
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    protected java.util.Vector entries

  Entries.

### enumeration

    protected java.util.Enumeration enumeration

  Underlying enumeration.

Constructor Detail

### RecyclableNamingEnumeration

    public RecyclableNamingEnumeration(java.util.Vector entries)

Method Detail

### next

    public java.lang.Object next()
                          throws javax.naming.NamingException

  Retrieves the next element in the enumeration.

  Specified by:
    `next` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

  Determines whether there are any more elements in the enumeration.

  Specified by:
    `hasMore` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### close

    public void close()
               throws javax.naming.NamingException

  Closes this enumeration.

  Specified by:
    `close` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.